Skip to main content
PATCH
/
v2
/
deliveryNotes
/
packages
/
{packageId}
Patch Package Data
curl --request PATCH \
  --url https://api.jtl-cloud.com/erp/v2/deliveryNotes/packages/{packageId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "shippedDate": "2023-11-07T05:31:56Z",
  "trackingID": "<string>",
  "comment": "<string>"
}
'
{
  "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "packageDate": "2023-11-07T05:31:56Z",
  "trackingID": "<string>",
  "weights": 123,
  "shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "shippedDate": "2023-11-07T05:31:56Z",
  "trackingUrl": "<string>",
  "comment": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

packageId
string<uuid>
required

The id of the package.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Body

application/json

The Package to update

Model Class: UpdateDeliveryNotePackagePosting

shippedDate
string<date-time>

The date when the package was shipped.

trackingID
string

The tracking Id of the package.

comment
string

The comment of the package.

Response

Returns the package that are created for the delivery note.

Model Class: DeliveryNotePackage

id
string<uuid>

The id of the package.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

packageDate
string<date-time>

The date when the package was created.

trackingID
string

The tracking Id of the package.

weights
number<decimal>

The weight of the package.

shippingMethodId
string<uuid>

The shipping method of the package.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

shippedDate
string<date-time>

The date when the package was shipped.

trackingUrl
string

The tracking url of the package.

comment
string

The comment of the package.